CAN_TXFQS_Type Union Reference

## Data Fields

struct {
uint32_t TFFL:6
uint32_t __pad0__:2
uint32_t TFGI:5
uint32_t __pad1__:3
uint32_t TFQPI:5
uint32_t TFQF:1
uint32_t __pad2__:10
} | bit
uint32_t | reg

## Detailed Description

Definition at line 1556 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_TXFQS_Type::__pad0__

bit: 6.. 7 Reserved

Definition at line 1559 of file can.h.

## __pad1__

uint32_t CAN_TXFQS_Type::__pad1__

bit: 13..15 Reserved

Definition at line 1561 of file can.h.

## __pad2__

uint32_t CAN_TXFQS_Type::__pad2__

bit: 22..31 Reserved

Definition at line 1564 of file can.h.

## bit

struct { ... } CAN_TXFQS_Type::bit

Structure used for bit access

## reg

uint32_t CAN_TXFQS_Type::reg

Type used for register access

Definition at line 1566 of file can.h.

## TFFL

uint32_t CAN_TXFQS_Type::TFFL

bit: 0.. 5 Tx FIFO Free Level

Definition at line 1558 of file can.h.

## TFGI

uint32_t CAN_TXFQS_Type::TFGI

bit: 8..12 Tx FIFO Get Index

Definition at line 1560 of file can.h.

## TFQF

uint32_t CAN_TXFQS_Type::TFQF

bit: 21 Tx FIFO/Queue Full

Definition at line 1563 of file can.h.

## TFQPI

uint32_t CAN_TXFQS_Type::TFQPI

bit: 16..20 Tx FIFO/Queue Put Index

Definition at line 1562 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h